Bug 1252101 - API repository search does not show any result immediate after enabling a reposet
API repository search does not show any result immediate after enabling a rep...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 13:41 EDT by Elyézer Rezende
Modified: 2017-01-12 10:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-12 10:18:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elyézer Rezende 2015-08-10 13:41:32 EDT
Description of problem:
When using the API and enabling a repository set a task is returned. Even after the task being completed search immediately after enabling it repository search does not return any result. Need to wait sometime to have a result.

Version-Release number of selected component (if applicable):
Satellite 6.1.1 RC

How reproducible:
Almost aways (via automation)

Steps to Reproduce:
1. Enable a repository set
2. Pool for the task
3. After the task completes search for the repository information

Actual results:
No results is returned

Expected results:
The enable repository information is displayed

Additional info:

2015-08-10 13:29:23 - nailgun.client - DEBUG - Making HTTP PUT request to https://sat6-rhel67.example.com/katello/api/v2/products/5998/repository_sets/1699/enable with options {'verify': False, 'auth': ('admin', 'password'), 'headers': {'content-type': 'application/json'}} and data {"basearch": "x86_64", "releasever": "6Server"}.
2015-08-10 13:29:29 - nailgun.client - DEBUG - Received HTTP 202 response: {"id":"51154f08-bada-4e9b-99e9-c61b5be1eae7","label":"Actions::Katello::RepositorySet::EnableRepository","pending":false,"username":"admin","started_at":"2015-08-10T17:29:23Z","ended_at":"2015-08-10T17:29:29Z","state":"stopped","result":"success","progress":1.0,"input":{"services_checked":["pulp","pulp_auth","candlepin","candlepin_auth","elasticsearch"],"repository":{"id":496,"name":"Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server","label":"Red_Hat_Enterprise_Virtualization_Agents_for_RHEL_6_Server_RPMs_x86_64_6Server"},"product":{"id":5998,"name":"Red Hat Enterprise Linux Server","label":"Red_Hat_Enterprise_Linux_Server","cp_id":"69"},"provider":{"id":852,"name":"Red Hat"},"organization":{"id":567,"name":"鰓쏒㺢朙瓋=銧>﷐[U+26267]﷑﷐[U+287A0]﷑","label":"de3d31fd-0e9f-47b2-ab27-a6d97b81694e"},"locale":"en"},"output":{},"humanized":{"action":"Enable","input":[["repository",{"text":"repository 'Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server'","link":null}],["product",{"text":"product 'Red Hat Enterprise Linux Server'","link":"#/products/5998/info"}],["organization",{"text":"organization '鰓쏒㺢朙瓋=銧>﷐[U+26267]﷑﷐[U+287A0]﷑'","link":"/organizations/567/edit"}]],"output":"","errors":[]},"cli_example":null}

2015-08-10 13:29:29 - nailgun.client - DEBUG - Making HTTP GET request to https://sat6-rhel67.example.com/foreman_tasks/api/tasks/51154f08-bada-4e9b-99e9-c61b5be1eae7 with options {'verify': False, 'auth': ('admin', 'password'), 'headers': {'content-type': 'application/json'}} and no data.
2015-08-10 13:29:29 - nailgun.client - DEBUG - Received HTTP 200 response: {"id":"51154f08-bada-4e9b-99e9-c61b5be1eae7","label":"Actions::Katello::RepositorySet::EnableRepository","pending":false,"username":"admin","started_at":"2015-08-10T17:29:23Z","ended_at":"2015-08-10T17:29:29Z","state":"stopped","result":"success","progress":1.0,"input":{"services_checked":["pulp","pulp_auth","candlepin","candlepin_auth","elasticsearch"],"repository":{"id":496,"name":"Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server","label":"Red_Hat_Enterprise_Virtualization_Agents_for_RHEL_6_Server_RPMs_x86_64_6Server"},"product":{"id":5998,"name":"Red Hat Enterprise Linux Server","label":"Red_Hat_Enterprise_Linux_Server","cp_id":"69"},"provider":{"id":852,"name":"Red Hat"},"organization":{"id":567,"name":"鰓쏒㺢朙瓋=銧>﷐[U+26267]﷑﷐[U+287A0]﷑","label":"de3d31fd-0e9f-47b2-ab27-a6d97b81694e"},"locale":"en"},"output":{},"humanized":{"action":"Enable","input":[["repository",{"text":"repository 'Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server'","link":null}],["product",{"text":"product 'Red Hat Enterprise Linux Server'","link":"#/products/5998/info"}],["organization",{"text":"organization '鰓쏒㺢朙瓋=銧>﷐[U+26267]﷑﷐[U+287A0]﷑'","link":"/organizations/567/edit"}]],"output":"","errors":[]},"cli_example":null}

2015-08-10 13:29:29 - nailgun.client - DEBUG - Making HTTP GET request to https://sat6-rhel67.example.com/katello/api/v2/repositories with options {'verify': False, 'data': '{"organization_id": 567, "name": "Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server"}', 'auth': ('admin', 'password'), 'headers': {'content-type': 'application/json'}} and no data.
2015-08-10 13:29:29 - nailgun.client - DEBUG - Received HTTP 200 response: {"total":0,"subtotal":0,"page":1,"per_page":18726,"search":null,"sort":{"by":null,"order":null},"results":[]}

After waiting some time

GET https://sat6-rhel67.example.com/katello/api/v2/repositories?organization_id=567&name=Red%20Hat%20Enterprise%20Virtualization%20Agents%20for%20RHEL%206%20Server%20RPMs%20x86_64%206Server
{"total":1,"subtotal":1,"page":1,"per_page":18726,"search":null,"sort":{"by":null,"order":null},"results":[{"id":496,"name":"Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server","label":"Red_Hat_Enterprise_Virtualization_Agents_for_RHEL_6_Server_RPMs_x86_64_6Server","content_type":"yum","url":"https://cdn.redhat.com/content/dist/rhel/server/6/6Server/x86_64/rhev-agent/3/os","relative_path":"de3d31fd-0e9f-47b2-ab27-a6d97b81694e/Library/content/dist/rhel/server/6/6Server/x86_64/rhev-agent/3/os","content_counts":{"docker_image":0,"docker_tag":0,"rpm":0,"package":0,"package_group":null,"erratum":0,"puppet_module":0},"last_sync_words":null,"product":{"id":5998,"cp_id":"69","name":"Red Hat Enterprise Linux Server","sync_plan":null},"last_sync":null}]}
Comment 2 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2016-07-26 11:42:00 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2017-01-12 10:18:00 EST
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.